import { RenNetwork } from "@renproject/interfaces";
import { renBscTestnet } from "./networks/bscTestnet";
import { renChaosnet } from "./networks/chaosnet";
import { renDevnet } from "./networks/devnet";
import { renLocalnet } from "./networks/localnet";
import { renMainnet } from "./networks/mainnet";
import { renTestnet } from "./networks/testnet";
export { renChaosnet } from "./networks/chaosnet";
export { renDevnet } from "./networks/devnet";
export { renLocalnet } from "./networks/localnet";
export { renMainnet } from "./networks/mainnet";
export { renTestnet } from "./networks/testnet";
export { renBscTestnet } from "./networks/bscTestnet";
export declare const RenNetworkDetailsMap: {
    mainnet: {
        version: "1.0.0";
        name: "mainnet";
        chain: "main";
        isTestnet: false;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            ren: {
                Protocol: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeSlasher: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    block: number;
                };
                DarknodeRegistryStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePayment: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePaymentStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            tokens: {
                DAI: {
                    address: string;
                    decimals: number;
                };
                BTC: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ZEC: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                BCH: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                REN: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ETH: {
                    address: string;
                    decimals: number;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
        };
    };
    chaosnet: {
        version: "1.0.0";
        name: "chaosnet";
        chain: "main";
        isTestnet: false;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            ren: {
                Protocol: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeSlasher: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    block: number;
                };
                DarknodeRegistryStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePayment: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePaymentStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            tokens: {
                DAI: {
                    address: string;
                    decimals: number;
                };
                REN: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ETH: {
                    address: string;
                    decimals: number;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
        };
    };
    testnet: {
        version: "1.0.0";
        name: "testnet";
        chain: "kovan";
        isTestnet: true;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            ren: {
                Protocol: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeSlasher: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    block: number;
                };
                DarknodeRegistryStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePayment: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePaymentStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            tokens: {
                DAI: {
                    address: string;
                    decimals: number;
                };
                REN: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ETH: {
                    address: string;
                    decimals: number;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
        };
    };
    devnet: {
        version: "1.0.0";
        name: "devnet";
        chain: "kovan";
        isTestnet: true;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            ren: {
                Protocol: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeSlasher: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    block: number;
                };
                DarknodeRegistryStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePayment: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePaymentStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            tokens: {
                DAI: {
                    address: string;
                    decimals: number;
                };
                REN: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ETH: {
                    address: string;
                    decimals: number;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
        };
    };
    localnet: {
        version: "1.0.0";
        name: "localnet";
        chain: "kovan";
        isTestnet: true;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            ren: {
                Protocol: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeSlasher: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodeRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    block: number;
                };
                DarknodeRegistryStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePayment: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                DarknodePaymentStore: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            tokens: {
                DAI: {
                    address: string;
                    decimals: number;
                };
                BTC: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ZEC: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                BCH: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                REN: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                    decimals: number;
                };
                ETH: {
                    address: string;
                    decimals: number;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
        };
    };
    bscTestnet: {
        version: "1.0.0";
        name: "bscTestnet";
        chain: "bscTestnet";
        isTestnet: true;
        label: string;
        chainLabel: string;
        networkID: number;
        infura: string;
        etherscan: string;
        addresses: {
            gateways: {
                GatewayRegistry: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: {
                        contractName: string;
                        abi: ({
                            inputs: never[];
                            payable: boolean;
                            stateMutability: string;
                            type: string;
                            anonymous?: undefined;
                            name?: undefined;
                            constant?: undefined;
                            outputs?: undefined;
                        } | {
                            anonymous: boolean;
                            inputs: {
                                indexed: boolean;
                                internalType: string;
                                name: string;
                                type: string;
                            }[];
                            name: string;
                            type: string;
                            payable?: undefined;
                            stateMutability?: undefined;
                            constant?: undefined;
                            outputs?: undefined;
                        } | {
                            constant: boolean;
                            inputs: {
                                internalType: string;
                                name: string;
                                type: string;
                            }[];
                            name: string;
                            outputs: {
                                internalType: string;
                                name: string;
                                type: string;
                            }[];
                            payable: boolean;
                            stateMutability: string;
                            type: string;
                            anonymous?: undefined;
                        })[];
                        sourcePath: string;
                        compiler: {
                            name: string;
                            version: string;
                        };
                        networks: {
                            42: {
                                events: {
                                    "0xea98e49727cf7c3a8c3926a036a6d41047c9b766d9109f22962950f37a2094aa": {
                                        anonymous: boolean;
                                        inputs: {
                                            indexed: boolean;
                                            internalType: string;
                                            name: string;
                                            type: string;
                                        }[];
                                        name: string;
                                        type: string;
                                    };
                                    "0xd433aae9ea620c1976ff88f75c629f477dbffe6bf277edad8a31c983117ab32a": {
                                        anonymous: boolean;
                                        inputs: {
                                            indexed: boolean;
                                            internalType: string;
                                            name: string;
                                            type: string;
                                        }[];
                                        name: string;
                                        type: string;
                                    };
                                    "0x2dc9e208c924a5b14066ecb7121b371da427e696ad69456ed07a52cd2a710d99": {
                                        anonymous: boolean;
                                        inputs: {
                                            indexed: boolean;
                                            internalType: string;
                                            name: string;
                                            type: string;
                                        }[];
                                        name: string;
                                        type: string;
                                    };
                                    "0x8be0079c531659141344cd1fd0a4f28419497f9722a3daafe3b4186f6b6457e0": {
                                        anonymous: boolean;
                                        inputs: {
                                            indexed: boolean;
                                            internalType: string;
                                            name: string;
                                            type: string;
                                        }[];
                                        name: string;
                                        type: string;
                                    };
                                };
                                links: {};
                                address: string;
                            };
                        };
                        schemaVersion: string;
                    };
                };
                RenERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                Gateway: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
                BasicAdapter: {
                    address: string;
                    abi: import("web3-utils").AbiItem[];
                    artifact: import("./networks/network").Contract;
                };
            };
            erc: {
                ERC20: {
                    abi: import("web3-utils").AbiItem[];
                    artifact: {
                        contractName: string;
                        abi: ({
                            constant: boolean;
                            inputs: {
                                name: string;
                                type: string;
                            }[];
                            name: string;
                            outputs: {
                                name: string;
                                type: string;
                            }[];
                            payable: boolean;
                            stateMutability: string;
                            type: string;
                            anonymous?: undefined;
                        } | {
                            inputs: {
                                name: string;
                                type: string;
                            }[];
                            payable: boolean;
                            stateMutability: string;
                            type: string;
                            constant?: undefined;
                            name?: undefined;
                            outputs?: undefined;
                            anonymous?: undefined;
                        } | {
                            anonymous: boolean;
                            inputs: {
                                indexed: boolean;
                                name: string;
                                type: string;
                            }[];
                            name: string;
                            type: string;
                            constant?: undefined;
                            outputs?: undefined;
                            payable?: undefined;
                            stateMutability?: undefined;
                        })[];
                    };
                };
            };
        };
    };
};
export declare type RenNetworkDetails = typeof renMainnet | typeof renChaosnet | typeof renTestnet | typeof renDevnet | typeof renLocalnet | typeof renBscTestnet;
