import { AbiItem } from "web3-utils";
import { Contract } from "./network";
export declare const renBscTestnet: {
    version: "1.0.0";
    name: "bscTestnet";
    chain: "bscTestnet";
    isTestnet: true;
    label: string;
    chainLabel: string;
    networkID: number;
    infura: string;
    etherscan: string;
    addresses: {
        gateways: {
            GatewayRegistry: {
                address: string;
                abi: AbiItem[];
                artifact: {
                    contractName: string;
                    abi: ({
                        inputs: never[];
                        payable: boolean;
                        stateMutability: string;
                        type: string;
                        anonymous?: undefined;
                        name?: undefined;
                        constant?: undefined;
                        outputs?: undefined;
                    } | {
                        anonymous: boolean;
                        inputs: {
                            indexed: boolean;
                            internalType: string;
                            name: string;
                            type: string;
                        }[];
                        name: string;
                        type: string;
                        payable?: undefined;
                        stateMutability?: undefined;
                        constant?: undefined;
                        outputs?: undefined;
                    } | {
                        constant: boolean;
                        inputs: {
                            internalType: string;
                            name: string;
                            type: string;
                        }[];
                        name: string;
                        outputs: {
                            internalType: string;
                            name: string;
                            type: string;
                        }[];
                        payable: boolean;
                        stateMutability: string;
                        type: string;
                        anonymous?: undefined;
                    })[];
                    sourcePath: string;
                    compiler: {
                        name: string;
                        version: string;
                    };
                    networks: {
                        42: {
                            events: {
                                "0xea98e49727cf7c3a8c3926a036a6d41047c9b766d9109f22962950f37a2094aa": {
                                    anonymous: boolean;
                                    inputs: {
                                        indexed: boolean;
                                        internalType: string;
                                        name: string;
                                        type: string;
                                    }[];
                                    name: string;
                                    type: string;
                                };
                                "0xd433aae9ea620c1976ff88f75c629f477dbffe6bf277edad8a31c983117ab32a": {
                                    anonymous: boolean;
                                    inputs: {
                                        indexed: boolean;
                                        internalType: string;
                                        name: string;
                                        type: string;
                                    }[];
                                    name: string;
                                    type: string;
                                };
                                "0x2dc9e208c924a5b14066ecb7121b371da427e696ad69456ed07a52cd2a710d99": {
                                    anonymous: boolean;
                                    inputs: {
                                        indexed: boolean;
                                        internalType: string;
                                        name: string;
                                        type: string;
                                    }[];
                                    name: string;
                                    type: string;
                                };
                                "0x8be0079c531659141344cd1fd0a4f28419497f9722a3daafe3b4186f6b6457e0": {
                                    anonymous: boolean;
                                    inputs: {
                                        indexed: boolean;
                                        internalType: string;
                                        name: string;
                                        type: string;
                                    }[];
                                    name: string;
                                    type: string;
                                };
                            };
                            links: {};
                            address: string;
                        };
                    };
                    schemaVersion: string;
                };
            };
            RenERC20: {
                abi: AbiItem[];
                artifact: Contract;
            };
            Gateway: {
                abi: AbiItem[];
                artifact: Contract;
            };
            BasicAdapter: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
        };
        erc: {
            ERC20: {
                abi: AbiItem[];
                artifact: {
                    contractName: string;
                    abi: ({
                        constant: boolean;
                        inputs: {
                            name: string;
                            type: string;
                        }[];
                        name: string;
                        outputs: {
                            name: string;
                            type: string;
                        }[];
                        payable: boolean;
                        stateMutability: string;
                        type: string;
                        anonymous?: undefined;
                    } | {
                        inputs: {
                            name: string;
                            type: string;
                        }[];
                        payable: boolean;
                        stateMutability: string;
                        type: string;
                        constant?: undefined;
                        name?: undefined;
                        outputs?: undefined;
                        anonymous?: undefined;
                    } | {
                        anonymous: boolean;
                        inputs: {
                            indexed: boolean;
                            name: string;
                            type: string;
                        }[];
                        name: string;
                        type: string;
                        constant?: undefined;
                        outputs?: undefined;
                        payable?: undefined;
                        stateMutability?: undefined;
                    })[];
                };
            };
        };
    };
};
