import { AbiItem } from "web3-utils";
import { Contract } from "./network";
export declare const renDevnet: {
    version: "1.0.0";
    name: "devnet";
    chain: "kovan";
    isTestnet: true;
    label: string;
    chainLabel: string;
    networkID: number;
    infura: string;
    etherscan: string;
    addresses: {
        ren: {
            Protocol: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
            DarknodeSlasher: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
            DarknodeRegistry: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
                block: number;
            };
            DarknodeRegistryStore: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
            DarknodePayment: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
            DarknodePaymentStore: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
        };
        gateways: {
            GatewayRegistry: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
            RenERC20: {
                abi: AbiItem[];
                artifact: Contract;
            };
            Gateway: {
                abi: AbiItem[];
                artifact: Contract;
            };
            BasicAdapter: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
            };
        };
        tokens: {
            DAI: {
                address: string;
                decimals: number;
            };
            REN: {
                address: string;
                abi: AbiItem[];
                artifact: Contract;
                decimals: number;
            };
            ETH: {
                address: string;
                decimals: number;
            };
        };
        erc: {
            ERC20: {
                abi: AbiItem[];
                artifact: Contract;
            };
        };
    };
};
